.DS_Store
node_modules
/build
/.svelte-kit
/package
.env
.env.*
!.env.example
vite.config.js.timestamp-*
vite.config.ts.timestamp-*
deploy.key

  vite: {
    server: {
      port: 7280,
    },
  },

  server {
    if ($host = www.embroideryviewer.xyz) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    if ($host = embroideryviewer.xyz) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    listen 80;
    listen [::]:80;
    server_name embroideryviewer.xyz www.embroideryviewer.xyz;

    location / {
        proxy_pass http://embroidery;  # Replace with actual port
        proxy_http_version 1.1;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
    }




}

server {
    listen 443 ssl;
    server_name embroideryviewer.xyz www.embroideryviewer.xyz;


    location / {
        proxy_pass http://embroidery;  # Replace with actual port
        proxy_http_version 1.1;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
    }

    ssl_certificate /etc/letsencrypt/live/embroideryviewer.xyz/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/embroideryviewer.xyz/privkey.pem; # managed by Certbot

}

server {
    listen 80 default_server;
    listen [::]:80 default_server;
    server_name _;

    return 444;  # Or return 404;
}
